mb_internal_encoding
mb_list_encodings
Multibyte String Functions
PHP Manual

# mb_language

(PHP 4 >= 4.0.6, PHP 5)

mb_language — Set/Get current language

### Description

mixed mb_language ([ string `$language` ] )

Set/Get the current language.

### Parameters

`language`

  Used for encoding e-mail messages. Valid languages are "Japanese", "ja","English","en" and "uni" (UTF-8). mb_send_mail() uses this setting to encode e-mail.

  Language and its setting is ISO-2022-JP/Base64 for Japanese, UTF-8/Base64 for uni, ISO-8859-1/quoted printable for English.

### Return Values

If `language` is set and `language` is valid, it returns `TRUE`. Otherwise, it returns `FALSE`. When `language` is omitted, it returns the language name as a string . If no language is set previously, it then returns `FALSE`.

### See Also

- mb_send_mail() - Send encoded mail

mb_internal_encoding
mb_list_encodings
Multibyte String Functions
PHP Manual